.. AUTO-GENERATED FILE. DO NOT EDIT. store-products-get-many ======================= Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25333167796`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``get`` - Lambda: ``jef-store-get-36`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/store-products-get-many`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-36`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-get-36 API Name: jef-store Action: get Method: GET Resource Path: /store-products-get-many Table: - table: jef-store-products - operation: get-many Payload Schema: - gsi_1_pk: entity_number Payload Example: - gsi_1_pk: 1001 Response Schema: - exists: boolean - message: string - items: [{"entity_number":"string","product_number":"string","sku":"string","product_name":"string","category":"string","brand":"string","description":"string","base_price":"number","stock_quantity":"number","unit_label":"string","rating":"number","is_featured":"boolean","tag_1":"string","tag_2":"string","tag_3":"string","display_order":"number","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "entity_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"entity_number\":\"string\",\"product_number\":\"string\",\"sku\":\"string\",\"product_name\":\"string\",\"category\":\"string\",\"brand\":\"string\",\"description\":\"string\",\"base_price\":\"number\",\"stock_quantity\":\"number\",\"unit_label\":\"string\",\"rating\":\"number\",\"is_featured\":\"boolean\",\"tag_1\":\"string\",\"tag_2\":\"string\",\"tag_3\":\"string\",\"display_order\":\"number\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]" } CMD curl -------- .. code-block:: text curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-get-many?gsi_1_pk=1001" PowerShell curl --------------- .. code-block:: text curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-get-many?gsi_1_pk=1001"